Subject: Re: I-D on Uniform Treatment of Pending Action Notification in EPP

From: janusz sienkiewicz <[email-masked]>
Date: Thu, 01 Aug 2002 10:50:10 -0400

I can not fully evalue Scott's proposal untill it is presented in a formal way

with all its implications on epp document and all associated object mapping
documents. I can only express opinion about the direction he is taking for
handling 'Pending Action Notification'.

I think a good and comprehensive example for handling 'Pending Action' can be
found in <transfer> command.  It make sense to solve any 'Pending Action'
situation in a manner similiar to <transfer> (to a reasonable extent). What I
can see from Scott's proposal he is making steps in that direction.

Regards,

Janusz

"Hollenbeck, Scott" wrote:

> > When I wrote the draft at the beginning, I was actually
> > thinking exactly
> > your way since the pending action is performed on a specific
> > object mapping.
> > But after I finished the writing, I realized that I have to
> > add <paData> to
> > every object mapping (i.e., domain, contact, and host) that
> > may need this
> > feature. The advantage for doing so, as you explained, is
> > that more object
> > specific information can be added in. The downside is that
> > <paData> will
> > have to be defined in every object mapping (existing and
> > to-be-defined).
> > Since my main goal is to minimize the changes to existing
> > schemas, after
> > some struggle myself, I took the approach to extract the
> > basic elements for
> > notification that are object independent. But this may be
> > just my personal
> > preference in schema design. Both your suggestion and mine
> > should work. I
> > will leave it to the WG to decide which way to go.
>
> Given that I firmly believe that we should be consistent in our approach
> (and I don't want to try to explain to Patrik why we weren't consistent), I
> would strongly urge anyone who objects to my suggested compromise to speak
> up sooner rather than later.  I'm trying to get the document edits finished
> in short order.
>
> > Just to be complete, taking your input, <paNotify> can be defined as
> > follows:
> >
> > <complexType name="paNotify">
> >   <sequence>
> >     <element name="paTRID" type="epp:trIDType"/>
> >     <element name="paDate" type="dateTime"/>
> >   </sequence>
> >   <attribute name="paResult" type="boolean" use="required"/>
> > </complexType>
>
> Yup, that's pretty much it.
>
> -Scott-